LogicalMessageContext (Java SE 10 & JDK 10 )
Keywords: javax.xml.ws.handler.LogicalMessageContext interface

Module java.xml.ws
Package javax.xml.ws.handler

## Interface LogicalMessageContext

- All Superinterfaces:
    `Map<String,Object>`, `MessageContext`

      public interface LogicalMessageContext
      extends MessageContext

  The `LogicalMessageContext` interface extends `MessageContext` to provide access to a the contained message as a protocol neutral LogicalMessage
  Since:
    1.6, JAX-WS 2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces declared in interface java.util.Map

      `Map.Entry<K,V>`

    - ### Nested classes/interfaces declared in interface javax.xml.ws.handler.MessageContext

      `MessageContext.Scope`

  - ### Field Summary

    - ### Fields declared in interface javax.xml.ws.handler.MessageContext

      `HTTP_REQUEST_HEADERS, HTTP_REQUEST_METHOD, HTTP_RESPONSE_CODE, HTTP_RESPONSE_HEADERS, INBOUND_MESSAGE_ATTACHMENTS, MESSAGE_OUTBOUND_PROPERTY, OUTBOUND_MESSAGE_ATTACHMENTS, PATH_INFO, QUERY_STRING, REFERENCE_PARAMETERS, SERVLET_CONTEXT, SERVLET_REQUEST, SERVLET_RESPONSE, WSDL_DESCRIPTION, WSDL_INTERFACE, WSDL_OPERATION, WSDL_PORT, WSDL_SERVICE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `LogicalMessage` | `getMessage()` | Gets the message from this message context

    - ### Methods declared in interface java.util.Map

      `clear, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods declared in interface javax.xml.ws.handler.MessageContext

      `getScope, setScope`

- - ### Method Detail

    - #### getMessage

          LogicalMessage getMessage()

      Gets the message from this message context
      Returns:
        The contained message; returns `null` if no message is present in this message context